Package org.eclipse.cdt.utils.coff.parser

# Class GNUPESymbol64

java.lang.Object
org.eclipse.cdt.utils.Symbol
org.eclipse.cdt.utils.coff.parser.GNUPESymbol64

All Implemented Interfaces:
  `Comparable<Object>`, `IBinaryParser.ISymbol`

public class GNUPESymbol64 extends Symbol

Since:
  8.4

## Field Summary

### Fields inherited from class org.eclipse.cdt.utils.Symbol

`binary`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.ISymbol

`FUNCTION, VARIABLE`

## Constructor Summary

Constructors
Constructor
Description
`GNUPESymbol64(GNUPEBinaryObject64 binary, String name, int type, IAddress addr, long size)`
`GNUPESymbol64(GNUPEBinaryObject64 binary, String name, int type, IAddress addr, long size, org.eclipse.core.runtime.IPath sourceFile, int startLine, int endLine)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLineNumber(long offset)`
Line number corresponding to the address offset.

### Methods inherited from class org.eclipse.cdt.utils.Symbol

`compareTo, getAddress, getBinaryObject, getEndLine, getFilename, getName, getSize, getStartLine, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GNUPESymbol64

public GNUPESymbol64(GNUPEBinaryObject64 binary, String name, int type, IAddress addr, long size, org.eclipse.core.runtime.IPath sourceFile, int startLine, int endLine)

### GNUPESymbol64

public GNUPESymbol64(GNUPEBinaryObject64 binary, String name, int type, IAddress addr, long size)

## Method Details

### getLineNumber

public int getLineNumber(long offset)
Description copied from interface: `IBinaryParser.ISymbol`
Line number corresponding to the address offset.

Specified by:
  `getLineNumber` in interface `IBinaryParser.ISymbol`
Overrides:
  `getLineNumber` in class `Symbol`